none
Problemas en hacer una página MVC usando .Net Framework 3.5 en Visual Studio 2013 RRS feed

  • Pregunta

  • Hola,

    Mi problema es que necesito desarrollar una página web MVC usando .Net Framework 3.5 en c#. Tengo instalado Visual Studio 2013. Cuando voy a las propiedades del proyecto y cambio el framework, me pide para reinstalar una serie de paquetes.

    Los reinstalo pero me continua dando muchos errores y no consigo desarrollar el código en esta plataforma. He leído que debería usar Visual Studio 2008 para ejecutar mvc 2.0.

    Hay alguna forma de trabajar en Visual Studio 2013 usando .net framework 3.5 sin que me salga tantos errores?

    Muchas gracias de antemano por la vuestra ayuda. Perdonarme que soy nueva en el mundo web ;)  

    martes, 20 de octubre de 2015 8:37

Respuestas

  • >>Eso pasa porque para .net 3.5 no se puede desarrollar una página con el modelo mvc?

    es que me parece vas a tener que instalar VS2008 y sobre este el la extension para mvc

    o podrias ver si con VS2010 se pdoria lograr

    no veo que sea bueno usar un VS tan actual para ir a un framework tan atras

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    • Marcado como respuesta Bruna Corrêa miércoles, 21 de octubre de 2015 10:32
    martes, 20 de octubre de 2015 15:29

Todas las respuestas

  • hola

    pero porque tienes que ir a .net 3.5 ?

    si la idea es usar mvc porque no lo haces con una version mas actual del framework o al menos que sea .net 4.0 en adelante

    no recomendaria que vayas a una version de mvc tan atras, hay muchas mejoras agregagas que las perderias

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    martes, 20 de octubre de 2015 9:17
  • Hola,

    Es que uso un programa comercial de una empresa que solo está desarrollado en 3.5.

    Al final he conseguido resolver este problema. He vuelto a instalar el visual studio comunity y ya me sale el proyecto en NET FRAMEWORK 3.5.

    Pero el proyecto me sale en ASP vacío y no me deja seleccionar la opción de MVC como pasa si selecciono la versión 4.5.1 de visual studio.

    Eso pasa porque para .net 3.5 no se puede desarrollar una página con el modelo mvc? solo se puede hacer web forms? 

    Muchas gracias de antemano

    martes, 20 de octubre de 2015 13:46
  • >>Eso pasa porque para .net 3.5 no se puede desarrollar una página con el modelo mvc?

    es que me parece vas a tener que instalar VS2008 y sobre este el la extension para mvc

    o podrias ver si con VS2010 se pdoria lograr

    no veo que sea bueno usar un VS tan actual para ir a un framework tan atras

    saludos


    Leandro Tuttini

    Blog
    MVP Profile
    Buenos Aires
    Argentina

    • Marcado como respuesta Bruna Corrêa miércoles, 21 de octubre de 2015 10:32
    martes, 20 de octubre de 2015 15:29